% Funzione che approssima il dato alla quarta cifra decimale (decimi di
% millimetri)
function [X_TuL,Y_TuL,Z_TuL,Xlocal_TuL,Ylocal_TuL,Zlocal_TuL,Xstar_TuL,Zstar_TuL,HShift_local_TuL,...
    SegStar,TempDef_TuL,Speed_local_TuL,Acceleration_local_TuL,Area_TuL] = approx_TuL(X_TuL,...
    Y_TuL,Z_TuL,Xlocal_TuL,Ylocal_TuL,Zlocal_TuL,Xstar_TuL,Zstar_TuL,HShift_local_TuL,...
    SegStar,TempDef_TuL,Speed_local_TuL,Acceleration_local_TuL,Area_TuL,FileName)

fileID = fopen(FileName,'a');
fmt = '%s \r';
text = 'approx_TuL function started';
fprintf(fileID,fmt,text);

% X
conv = X_TuL*10000;
conv = round(conv);
X_TuL = conv/10000;

% X star
conv = Xstar_TuL*10000;
conv = round(conv);
Xstar_TuL = conv/10000;

% X local
conv = Xlocal_TuL*10000;
conv = round(conv);
Xlocal_TuL = conv/10000;

% Y
conv = Y_TuL*10000;
conv = round(conv);
Y_TuL = conv/10000;

% Y local
conv = Ylocal_TuL*10000;
conv = round(conv);
Ylocal_TuL = conv/10000;

% Z
conv = Z_TuL*10000;
conv = round(conv);
Z_TuL = conv/10000;

% Zstar
conv = Zstar_TuL*10000;
conv = round(conv);
Zstar_TuL = conv/10000;

% Z local
conv = Zlocal_TuL*10000;
conv = round(conv);
Zlocal_TuL = conv/10000;

% H Shift local
conv = HShift_local_TuL*10000;
conv = round(conv);
HShift_local_TuL = conv/10000;

% SegStar
conv = SegStar*10000;
conv = round(conv);
SegStar = conv/10000;

% TempDef
conv = TempDef_TuL*10;
conv = round(conv);
TempDef_TuL = conv/10;

% Speed
conv = Speed_local_TuL*10000;
conv = round(conv);
Speed_local_TuL = conv/10000;

% Acceleration
conv = Acceleration_local_TuL*10000;
conv = round(conv);
Acceleration_local_TuL = conv/10000;

% Area
conv = Area_TuL*10000;
conv = round(conv);
Area_TuL = conv/10000;

text = 'approx_TuL function worked correctly';
fprintf(fileID,fmt,text);
fclose(fileID);

end
